#!/bin/sh
OUTPUT_SQL_SCRIPT="$HOME/add_flow_partition.sql"
echo "alter table flows
add partition flows`date +%Y%m%d --date="+1 days"`
    values less than (to_date('`date +%d.%m.%Y --date="+2 days"`', 'dd.MM.yyyy'))
    tablespace flows`date +%Y%W --date="+1 days"`
;
alter table headers
add partition flows`date +%Y%m%d --date="+1 days"`
    values less than (to_date('`date +%d.%m.%Y --date="+2 days"`', 'dd.MM.yyyy'))
    tablespace flows`date +%Y%W --date="+1 days"`
;
quit;" > $OUTPUT_SQL_SCRIPT
sqlplus flow/flow@flow @$OUTPUT_SQL_SCRIPT
